Index: /branches/tracy3-3.10.1b/tracy/tracy/src/physlib.cc
===================================================================
--- /branches/tracy3-3.10.1b/tracy/tracy/src/physlib.cc	(revision 22)
+++ /branches/tracy3-3.10.1b/tracy/tracy/src/physlib.cc	(revision 23)
@@ -16,10 +16,5 @@
 /**************************/
 
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 /**** same as asctime in C without the \n at the end****/
 char *asctime2(const struct tm *timeptr) {
@@ -38,10 +33,5 @@
     return result;
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 /** Get time and date **/
 struct tm* GetTime() {
@@ -199,6 +189,4 @@
 
  Comments copied from Tracy 2.7(soleil),Written by L.Nadolski.
- 
- 03/06/2013 Add feature to print the summary on the sreen and an external file
 
  ****************************************************************************/
@@ -263,103 +251,5 @@
 
 /****************************************************************************/
-/* void printglob2file(void)
-
- Purpose:
- Print global variables on screen
- Print tunes and chromaticities
- Print Oneturn matrix
-
- Input:
- none
-
- Output:
- output on the screen
-
- Return:
- none
-
- Global variables:
- globval
-
- Specific functions:
- none
-
- Comments: 
- 03/06/2013  by Jianfeng Zhang @ LAL
- The same feature as the file printglob(void), but 
- added feature to print the lattice summary to an external file
-
- 
- ****************************************************************************/
-void printglob2file(const char fic[]) {
-  FILE *fout;
-  int i=0,j=0;
-  
-  fout = fopen(fic,"w");
-  
-    fprintf(fout, "\n***************************************************************"
-        "***************\n");
-    fprintf(fout,"\n");
-    fprintf(fout,"  dPcommon     =  %9.3e  dPparticle   =  %9.3e"
-        "  Energy [GeV] = %.3f\n", globval.dPcommon, globval.dPparticle,
-            globval.Energy);
-    fprintf(fout,"  MaxAmplx [m] = %9.3e   MaxAmply [m] = %9.3e"
-        "   RFAccept [%%] = +/- %4.2f\n", Cell[0].maxampl[X_][1],
-            Cell[0].maxampl[Y_][1], globval.delta_RF * 1e2);
-    fprintf(fout,"  MatMeth      =  %s     ", globval.MatMeth ? "TRUE " : "FALSE");
-    fprintf(fout," Cavity_On    =  %s    ", globval.Cavity_on ? "TRUE " : "FALSE");
-    fprintf(fout,"  Radiation_On = %s     \n", globval.radiation ? "TRUE " : "FALSE");
-    
-    if(globval.bpm == 0)
-      fprintf(fout,"  bpm          =  0");  
-    else
-      fprintf(fout,"  bpm          =  %3d", GetnKid(globval.bpm));
-    if(globval.qt == 0)
-      fprintf(fout,"                             qt           = 0           \n"); 
-    else
-      fprintf(fout,"                             qt           = %3d         \n", GetnKid(globval.qt));    
-    if(globval.hcorr == 0)
-      fprintf(fout,"  hcorr         =  0");  
-    else
-      fprintf(fout,"  hcorr         = %3d", GetnKid(globval.hcorr));
-    if(globval.vcorr == 0)
-      fprintf(fout,"                             vcorr        =  0        \n");  
-    else
-      fprintf(fout,"                             vcorr        = %3d      \n", GetnKid(globval.vcorr));
-	    	       	       	    	    
-    fprintf(fout," Chambre_On   = %s     \n", globval.Aperture_on ? "TRUE " : "FALSE");
-  
-    fprintf(fout,"  alphac       =   %8.4e\n", globval.Alphac);
-    fprintf(fout,"  nux          =   %8.6f      nuy  =  %8.6f",
-            globval.TotalTune[X_], globval.TotalTune[Y_]);
-    if (globval.Cavity_on)
-        fprintf(fout,"  omega  = %13.9f\n", globval.Omega);
-    else {
-        fprintf(fout,"\n");
-        fprintf(fout,"  ksix         =    %8.6f      ksiy  =   %8.6f\n",
-                globval.Chrom[X_], globval.Chrom[Y_]);
-    }
-    fprintf(fout,"\n");
-    
-    fprintf(fout,"  OneTurn matrix:\n");
-    for(i=0;i<ss_dim;i++){
-      fprintf(fout,"\n");
-      for(j=0;j<ss_dim;j++)
-	fprintf(fout,"%14.6e",globval.OneTurnMat[i][j]);
-    }
-
-    fprintf(fout,"\n\nTwiss parameters at entrance:\n");
-    fprintf(fout,
-            "   Betax [m] = % 9.3e  Alphax = % 9.3e Etax [m] = % 9.3e Etaxp = % 9.3e\n"
-                "   Betay [m] = % 9.3e  Alphay = % 9.3e Etay [m] = % 9.3e Etayp = % 9.3e\n\n",
-            Cell[1].Beta[X_], Cell[1].Alpha[X_], Cell[1].Eta[X_],
-            Cell[1].Etap[X_], Cell[1].Beta[Y_], Cell[1].Alpha[Y_],
-            Cell[1].Eta[Y_], Cell[1].Etap[Y_]);
-
-    fclose(fout);
-}
-
-/****************************************************************************/
-/* void printlatt(const char fic[]) 
+/* void printlatt(void)
 
  Purpose:
@@ -423,10 +313,5 @@
     fclose(outf);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 double int_curly_H1(long int n) {
     /* Integration with Simpson's Rule */
@@ -445,10 +330,5 @@
     return curly_H;
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void prt_sigma(void) {
     long int i;
@@ -597,20 +477,10 @@
     }
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void getabn(Vector2 &alpha, Vector2 &beta, Vector2 &nu) {
     Vector2 gamma;
     Cell_GetABGN(globval.OneTurnMat, alpha, beta, gamma, nu);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void TraceABN(long i0, long i1, const Vector2 &alpha, const Vector2 &beta,
         const Vector2 &eta, const Vector2 &etap, const double dP) {
@@ -743,12 +613,7 @@
     Ring_Fitchrom(ksi, ksieps, ns, sfbuf, sdbuf, ksidkpL, ksiimax);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void FitDisp(long q, long pos, double eta) {
-    long i=0L, nq=0L;
+    long i, nq;
     fitvect qbuf;
 
@@ -760,10 +625,5 @@
     Ring_FitDisp(pos, eta, dispeps, nq, qbuf, dispdkL, dispimax);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 #define nfloq           4
 
@@ -775,10 +635,4 @@
 #undef nfloq
 
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
 #define ntrack          4
 
@@ -797,6 +651,6 @@
 
      */
-    long int i=0L;
-    double twoJx=0.0, twoJy=0.0, phix=0.0, phiy=0.0, scl_1 = 1.0, scl_2 = 1.0;
+    long int i;
+    double twoJx, twoJy, phix, phiy, scl_1 = 1.0, scl_2 = 1.0;
     Vector x0, x1, x2, xf;
     FILE *outf;
@@ -956,15 +810,9 @@
 #undef ntrack
 
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
 #define step            0.1
 #define px              0.0
 #define py              0.0
 void track_(double r, struct LOC_getdynap *LINK) {
-    long i=0L, lastn=0L, lastpos=0L;
+    long i, lastn, lastpos;
     Vector x;
 
@@ -1041,6 +889,5 @@
 void Trac(double x, double px, double y, double py, double dp, double ctau,
         long nmax, long pos, long &lastn, long &lastpos, FILE *outf1) {
-  
-    bool lostF = true; /* Lost particle Flag */
+    bool lostF; /* Lost particle Flag */
     Vector x1; /* tracking coordinates */
     Vector2 aperture;
@@ -1060,4 +907,5 @@
     lastn = 0L;
     (lastpos) = pos;
+    lostF = true;
 
     if (trace)
@@ -1128,6 +976,5 @@
 #define nfloq     4
 bool chk_if_lost(double x0, double y0, double delta, long int nturn, bool floqs) {
-  
-    long int i=0L, lastn=0L, lastpos=0L;
+    long int i, lastn, lastpos;
     Vector x;
 
@@ -1259,6 +1106,6 @@
  ****************************************************************************/
 void getcsAscr(void) {
-    long i=0L, j=0L;
-    double phi=0.0;
+    long i, j;
+    double phi;
     Matrix R;
 
@@ -1331,6 +1178,6 @@
      Assumes mid-plane symmetry.                    */
 
-    long int i=0L, lastpos=0L;
-    double phi=0.0, x_min=0.0, x_max=0.0, y_min=0.0, y_max=0.0;
+    long int i, lastpos;
+    double phi, x_min, x_max, y_min, y_max;
 
     getcod(delta, lastpos);
@@ -1422,6 +1269,6 @@
  ****************************************************************************/
 double get_aper(int n, double x[], double y[]) {
-    int i=0;
-    double A=0.0;
+    int i;
+    double A;
 
     A = 0.0;
@@ -1436,14 +1283,7 @@
 }
 
-/**************************************************************************
- * void GetTrack(const char *file_name, long *n, double x[], double px[],
-        double y[], double py[])
- * 
- * 
- * 
- **************************************************************************/
 void GetTrack(const char *file_name, long *n, double x[], double px[],
         double y[], double py[]) {
-    int k=0;
+    int k;
     char line[200];
     FILE *inf;
@@ -1495,5 +1335,5 @@
  ****************************************************************************/
 void Getj(long n, double *x, double *px, double *y, double *py) {
-    long int i=0L;
+    long int i;
 
     for (i = 0; i < n; i++) {
@@ -1529,6 +1369,5 @@
  ****************************************************************************/
 double GetArg(double x, double px, double nu) {
-    
-  double phi=0.0, val=0.0;
+    double phi, val;
 
     phi = GetAngle(x, px);
@@ -1568,5 +1407,5 @@
 void GetPhi(long n, double *x, double *px, double *y, double *py) {
     /* Calculates the linear phase */
-    long i=0L;
+    long i;
 
     for (i = 1; i <= n; i++) {
@@ -1582,5 +1421,5 @@
 void Sinfft(int n, double xr[]) {
     /* DFT with sine window */
-    int i=0;
+    int i;
     double xi[n];
 
@@ -1611,13 +1450,8 @@
     free_dvector(xi, 1, 2 * n);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void sin_FFT(int n, double xr[], double xi[]) {
     /* DFT with sine window */
-    int i=0;
+    int i;
     double *xri;
 
@@ -1636,10 +1470,5 @@
     free_dvector(xri, 1, 2 * n);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void GetInd(int n, int k, int *ind1, int *ind3) {
     if (k == 1) {
@@ -1654,10 +1483,5 @@
     }
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void GetInd1(int n, int k, int *ind1, int *ind3) {
     if (k == 1) {
@@ -1672,15 +1496,11 @@
     }
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void GetPeak(int n, double *x, int *k) {
     /* Locate peak in DFT spectrum */
-    int ind1=0, ind2=0, ind3=0;
-    double peak=0.0;
-
+    int ind1, ind2, ind3;
+    double peak;
+
+    peak = 0.0;
     *k = 1;
     for (ind2 = 1; ind2 <= n / 2 + 1; ind2++) {
@@ -1693,15 +1513,11 @@
     }
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void GetPeak1(int n, double *x, int *k) {
     /* Locate peak in DFT spectrum */
-    int ind1=0, ind2=0, ind3=0;
-    double peak=0.0;
-
+    int ind1, ind2, ind3;
+    double peak;
+
+    peak = 0.0;
     *k = 1;
     for (ind2 = 1; ind2 <= n; ind2++) {
@@ -1714,10 +1530,5 @@
     }
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 double Int2snu(int n, double *x, int k) {
     /* Get frequency by nonlinear interpolation with two samples
@@ -1728,6 +1539,6 @@
      N           A(k-1) + A(k)   2
      */
-    int ind=0, ind1=0, ind3=0;
-    double ampl1=0.0, ampl2=0.0;
+    int ind, ind1, ind3;
+    double ampl1, ampl2;
 
     GetInd(n, k, &ind1, &ind3);
@@ -1823,5 +1634,5 @@
      2      pi ( k + 1/2 )          pi ( k - 1/2 )
      */
-    double corr=0.0;
+    double corr;
 
     corr = (Sinc(M_PI * (k - 1 + 0.5 - nu * n)) + Sinc(M_PI * (k - 1 - 0.5 - nu
@@ -1858,6 +1669,6 @@
     /* Get phase by linear interpolation for rectangular window
      with -pi <= phi <= pi */
-    int i=0;
-    double phi=0.0;
+    int i;
+    double phi;
     double xr[n], xi[n];
 
@@ -1901,6 +1712,6 @@
  ****************************************************************************/
 void FndRes(struct LOC_findres *LINK) {
-    int i=0, j=0, FORLIM=0, FORLIM1=0;
-    double delta=0.0;
+    int i, j, FORLIM, FORLIM1;
+    double delta;
 
     FORLIM = LINK->n;
@@ -1970,12 +1781,7 @@
     } while (!V.found);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void GetPeaks(int n, double *x, int nf, double *nu, double *A) {
-    int i=0, k=0, ind1=0, ind3=0;
+    int i, k, ind1, ind3;
 
     for (i = 0; i < nf; i++) {
@@ -1991,12 +1797,7 @@
     }
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void GetPeaks1(int n, double *x, int nf, double *nu, double *A) {
-    int i=0, k=0, ind1=0, ind3=0;
+    int i, k, ind1, ind3;
 
     for (i = 0; i < nf; i++) {
@@ -2018,6 +1819,6 @@
 
 void SetTol(int Fnum, double dxrms, double dyrms, double drrms) {
-    int i=0;
-    long k=0L;
+    int i;
+    long k;
 
     for (i = 1; i <= GetnKid(Fnum); i++) {
@@ -2033,13 +1834,8 @@
     }
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void Scale_Tol(int Fnum, double dxrms, double dyrms, double drrms) {
-    int Knum=0;
-    long int loc=0L;
+    int Knum;
+    long int loc;
 
     for (Knum = 1; Knum <= GetnKid(Fnum); Knum++) {
@@ -2079,5 +1875,5 @@
  ****************************************************************************/
 void SetaTol(int Fnum, int Knum, double dx, double dy, double dr) {
-    long int loc=0L;
+    long int loc;
 
     loc = Elem_GetPos(Fnum, Knum);
@@ -2091,13 +1887,8 @@
     Mpole_SetdT(Fnum, Knum);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void ini_aper(const double Dxmin, const double Dxmax, const double Dymin,
         const double Dymax) {
-    int k=0;
+    int k;
 
     for (k = 0; k <= globval.Cell_nLoc; k++) {
@@ -2108,14 +1899,9 @@
     }
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void set_aper(const int Fnum, const double Dxmin, const double Dxmax,
         const double Dymin, const double Dymax) {
-    int i=0;
-    long int loc=0L;
+    int i;
+    long int loc;
 
     for (i = 1; i <= GetnKid(Fnum); i++) {
@@ -2127,14 +1913,9 @@
     }
 }
-/*************************************************
- * void LoadApertures(const char *ChamberFileName)
- * 
- * 
- * 
- **************************************************/
+
 void LoadApertures(const char *ChamberFileName) {
     char line[128], FamName[32];
-    long Fnum=0L;
-    double Xmin=0.0, Xmax=0.0, Ymin=0.0, Ymax=0.0;
+    long Fnum;
+    double Xmin, Xmax, Ymin, Ymax;
     FILE *ChamberFile;
 
@@ -2154,22 +1935,13 @@
     fclose(ChamberFile);
 }
-/**********************************************************************************
- * void LoadTolerances(const char *TolFileName)
- * 
- * 
- * 
- **********************************************************************************/
+
 // Load tolerances from the file
 void LoadTolerances(const char *TolFileName) {
     char line[128], FamName[32];
-    int Fnum=0;
-    double dx=0.0, dy=0.0, dr=0.0;
+    int Fnum;
+    double dx, dy, dr;
     FILE *tolfile;
 
     tolfile = file_read(TolFileName);
-    if(tolfile == NULL){
-      printf("LoadTolerances(): Error! Failure to read file: %s \n",TolFileName);
-      exit_(1);
-    }
 
     do
@@ -2193,23 +1965,13 @@
 }
 
-/**************************************************************************************
- * void ScaleTolerances(const char *TolFileName, const double scl) 
- * 
- * 
- * 
- * ************************************************************************************/
 // Load tolerances from the file
 void ScaleTolerances(const char *TolFileName, const double scl) {
     char line[128], FamName[32];
-    int Fnum=0;
-    double dx=0.0, dy=0.0, dr=0.0;
+    int Fnum;
+    double dx, dy, dr;
     FILE *tolfile;
 
     tolfile = file_read(TolFileName);
-    if(tolfile == NULL){
-      printf("LoadTolerances(): Error! Failure to read file: %s \n",TolFileName);
-      exit_(1);
-    }
-    
+
     do
         fgets(line, 128, tolfile);
@@ -2230,10 +1992,5 @@
     fclose(tolfile);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void SetKpar(int Fnum, int Knum, int Order, double k) {
 
@@ -2241,32 +1998,17 @@
     Mpole_SetPB(Fnum, Knum, Order);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void SetL(int Fnum, int Knum, double L) {
 
     Cell[Elem_GetPos(Fnum, Knum)].Elem.PL = L;
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void SetL(int Fnum, double L) {
-    int i=0;
+    int i;
 
     for (i = 1; i <= GetnKid(Fnum); i++)
         Cell[Elem_GetPos(Fnum, i)].Elem.PL = L;
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void SetdKpar(int Fnum, int Knum, int Order, double dk) {
 
@@ -2274,12 +2016,7 @@
     Mpole_SetPB(Fnum, Knum, Order);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void SetKLpar(int Fnum, int Knum, int Order, double kL) {
-    long int loc=0L;
+    long int loc;
 
     if (abs(Order) > HOMmax) {
@@ -2296,12 +2033,7 @@
     Mpole_SetPB(Fnum, Knum, Order);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void SetdKLpar(int Fnum, int Knum, int Order, double dkL) {
-    long int loc=0L;
+    long int loc;
 
     loc = Elem_GetPos(Fnum, Knum);
@@ -2332,5 +2064,5 @@
 **************************************************************/
 void SetdKrpar(int Fnum, int Knum, int Order, double dkrel) {
-    long int loc=0L;
+    long int loc;
 
     loc = Elem_GetPos(Fnum, Knum);
@@ -2343,48 +2075,28 @@
     Mpole_SetPB(Fnum, Knum, Order);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void Setbn(int Fnum, int order, double bn) {
-    int i=0;
+    int i;
 
     for (i = 1; i <= GetnKid(Fnum); i++)
         SetKpar(Fnum, i, order, bn);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void SetbnL(int Fnum, int order, double bnL) {
-    int i=0;
+    int i;
 
     for (i = 1; i <= GetnKid(Fnum); i++)
         SetKLpar(Fnum, i, order, bnL);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void Setdbn(int Fnum, int order, double dbn) {
-    int i=0;
+    int i;
 
     for (i = 1; i <= GetnKid(Fnum); i++)
         SetdKpar(Fnum, i, order, dbn);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void SetdbnL(int Fnum, int order, double dbnL) {
-    int i=0;
+    int i;
 
     for (i = 1; i <= GetnKid(Fnum); i++) {
@@ -2415,18 +2127,13 @@
 //void Setbnr(int Fnum, long order, double bnr) {
 void Setbnr(int Fnum, int order, double bnr) {
-    int i=0;
+    int i;
 
     for (i = 1; i <= GetnKid(Fnum); i++)
         SetdKrpar(Fnum, i, order, bnr);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void SetbnL_sys(int Fnum, int Order, double bnL_sys) {
-    int Knum=0;
-    long int loc=0L;
+    int Knum;
+    long int loc;
 
     for (Knum = 1; Knum <= GetnKid(Fnum); Knum++) {
@@ -2440,13 +2147,8 @@
     }
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void set_dbn_rel(const int type, const int n, const double dbn_rel) {
-    long int j=0L;
-    double dbn=0.0;
+    long int j;
+    double dbn;
 
     printf("\n");
@@ -2535,12 +2237,7 @@
         return (Cell[loc].Elem.M->PBpar[Order + HOMmax]);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void SetdKLrms(int Fnum, int Order, double dkLrms) {
-    long int Knum=0L, loc=0L;
+    long int Knum, loc;
 
     for (Knum = 1; Knum <= GetnKid(Fnum); Knum++) {
@@ -2555,12 +2252,7 @@
     }
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void Setdkrrms(int Fnum, int Order, double dkrrms) {
-    long int Knum=0L, loc=0L;
+    long int Knum, loc;
 
     for (Knum = 1; Knum <= GetnKid(Fnum); Knum++) {
@@ -2576,24 +2268,14 @@
     }
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void SetKL(int Fnum, int Order) {
-    long int Knum=0L;
+    long int Knum;
 
     for (Knum = 1; Knum <= GetnKid(Fnum); Knum++)
         Mpole_SetPB(Fnum, Knum, Order);
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void set_dx(const int type, const double sigma_x, const double sigma_y) {
-    long int j=0L;
+    long int j;
 
     printf("\n");
@@ -2611,12 +2293,7 @@
         }
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void SetBpmdS(int Fnum, double dxrms, double dyrms) {
-    long int Knum, loc=0L;
+    long int Knum, loc;
 
     for (Knum = 1; Knum <= GetnKid(Fnum); Knum++) {
@@ -2644,7 +2321,7 @@
 ****************************************************************************/
 void codstat(double *mean, double *sigma, double *xmax, long lastpos, bool all) {
-    long i=0L, j=0L, n=0L;
+    long i, j, n;
     Vector2 sum, sum2;
-    double TEMP=0.0;
+    double TEMP;
 
     n = 0;
@@ -2711,7 +2388,7 @@
 void CodStatBpm(double *mean, double *sigma, double *xmax, long lastpos,
         long bpmdis[mnp]) {
-    long i=0L, j=0L, m=0L, n=0L;
+    long i, j, m, n;
     Vector2 sum, sum2;
-    double TEMP=0.0;
+    double TEMP;
 
     m = n = 0;
@@ -2871,5 +2548,5 @@
  ****************************************************************************/
 void GetMean(long n, double *x) {
-    long i=0L;
+    long i;
     double mean = 0e0;
 
@@ -3280,7 +2957,7 @@
     const int ntrial = 40; // maximum number of trials for closed orbit
     const double tolx = 1e-8; // numerical precision
-    int k=0;
-    int dim=0; // 4D or 6D tracking
-    long lastpos=0L;
+    int k;
+    int dim; // 4D or 6D tracking
+    long lastpos;
 
     vcod = dvector(1, 6);
@@ -3362,6 +3039,6 @@
     const int ntrial = 40; // maximum number of trials for closed orbit
     const double tolx = 1e-10; // numerical precision
-    int k=0, dim = 0;
-    long lastpos=0L;
+    int k, dim = 0;
+    long lastpos;
 
     // initializations
@@ -3429,5 +3106,5 @@
 
 void computeFandJS(double *x, int n, double **fjac, double *fvect) {
-    int i=0, k=0;
+    int i, k;
     long lastpos = 0L;
     Vector x0, fx, fx1, fx2;
@@ -3501,5 +3178,5 @@
  ****************************************************************************/
 void computeFandJ(int n, Vector &x, Matrix &fjac, Vector &fvect) {
-    int i=0, k=0;
+    int i, k;
     long lastpos = 0;
     Vector x0, fx1, fx2;
@@ -3583,6 +3260,6 @@
 
 void Newton_RaphsonS(int ntrial, double x[], int n, double tolx) {
-    int k=0, i=0, *indx;
-    double errx=0.0, d=0.0, *bet, *fvect, **alpha;
+    int k, i, *indx;
+    double errx, d, *bet, *fvect, **alpha;
 
     errx = 0.0;
@@ -3681,6 +3358,6 @@
  ****************************************************************************/
 int Newton_Raphson(int n, Vector &x, int ntrial, double tolx) {
-    int k=0, i=0;
-    double errx=0.0;
+    int k, i;
+    double errx;
     Vector bet, fvect;
     Matrix alpha;
@@ -3724,14 +3401,10 @@
     return 0;
 }
-/*******************************************************************************
- * 
- * 
- * 
- * 
- ******************************************************************************/
+
 void rm_mean(long int n, double x[]) {
-    long int i=0L;
-    double mean=0.0;
-
+    long int i;
+    double mean;
+
+    mean = 0.0;
     for (i = 0; i < n; i++)
         mean += x[i];
Index: /branches/tracy3-3.10.1b/tracy/tracy/src/prtmfile.cc
===================================================================
--- /branches/tracy3-3.10.1b/tracy/tracy/src/prtmfile.cc	(revision 22)
+++ /branches/tracy3-3.10.1b/tracy/tracy/src/prtmfile.cc	(revision 23)
@@ -153,6 +153,5 @@
 
  Purpose:
- Print out flatfile;
- print the lattice parameters in an external file.
+ Print out flatfile
 
  Input:
@@ -182,7 +181,7 @@
             Cell[i].dS[Y_], Cell[i].Elem.M->PdTpar, Cell[i].Elem.M->PdTsys
                 + Cell[i].Elem.M->PdTrms * Cell[i].Elem.M->PdTrnd);
-        fprintf(mfile, " %23.16e %23.16e %23.16e %23.16e %23.16e  %23.16e %23.16e\n",
+        fprintf(mfile, " %23.16e %23.16e %23.16e %23.16e %23.16e\n",
             Cell[i].Elem.PL, Cell[i].Elem.M->Pirho, Cell[i].Elem.M->PTx1,
-            Cell[i].Elem.M->PTx2, Cell[i].Elem.M->PH1,Cell[i].Elem.M->PH2,Cell[i].Elem.M->Pgap);
+            Cell[i].Elem.M->PTx2, Cell[i].Elem.M->Pgap);
         prtHOM(mfile, Cell[i].Elem.M->n_design, Cell[i].Elem.M->PB,
             Cell[i].Elem.M->Porder);
Index: /branches/tracy3-3.10.1b/tracy/tracy/src/rdmfile.cc
===================================================================
--- /branches/tracy3-3.10.1b/tracy/tracy/src/rdmfile.cc	(revision 22)
+++ /branches/tracy3-3.10.1b/tracy/tracy/src/rdmfile.cc	(revision 23)
@@ -217,7 +217,7 @@
                 if (prt)
                     printf("%s\n", line);
-                sscanf(line, "%lf %lf %lf %lf %lf  %lf %lf", &Cell[i].Elem.PL,
+                sscanf(line, "%lf %lf %lf %lf %lf", &Cell[i].Elem.PL,
                         &Cell[i].Elem.M->Pirho, &Cell[i].Elem.M->PTx1,
-                        &Cell[i].Elem.M->PTx2, &Cell[i].Elem.M->PH1, &Cell[i].Elem.M->PH2, &Cell[i].Elem.M->Pgap);
+                        &Cell[i].Elem.M->PTx2, &Cell[i].Elem.M->Pgap);
                 if (Cell[i].Elem.M->Pirho != 0.0)
                     Cell[i].Elem.M->Porder = 1;
